eID middleware |

# eIDMW::PTEID_SISCard Class Reference

This class represents a SIS card. More...

`#include <eidlib.h>`

Inheritance diagram for eIDMW::PTEID_SISCard:

List of all members.

## Public Member Functions
virtual PTEIDSDK_API | ~PTEID_SISCard ()
| Destructor.
virtual PTEIDSDK_API PTEID_XMLDoc & | getDocument (PTEID_DocumentType type)
| Return a document from the card.
PTEIDSDK_API PTEID_SisFullDoc & | getFullDoc ()
| Get the full document.
PTEIDSDK_API PTEID_SisId & | getID ()
| Get the id document.
virtual PTEIDSDK_API const PTEID_ByteArray & | getRawData (PTEID_RawDataType type)
| Return a raw data from the card.
PTEIDSDK_API const PTEID_ByteArray & | getRawData_Id ()
| Get the id RawData.
## Friends
PTEID_Card & | PTEID_ReaderContext::getCard ()
| For internal use : This method must access protected constructor.

## Detailed Description

This class represents a SIS card.

To get such an object you have to ask it from the ReaderContext.

## Constructor & Destructor Documentation

virtual PTEIDSDK_API eIDMW::PTEID_SISCard::~PTEID_SISCard | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual PTEIDSDK_API PTEID_XMLDoc& eIDMW::PTEID_SISCard::getDocument | ( | PTEID_DocumentType | type | ) | `[virtual]`

Return a document from the card.

Throw PTEID_ExDocTypeUnknown exception if the document doesn't exist for this card.

Implements eIDMW::PTEID_Card.

PTEIDSDK_API PTEID_SisFullDoc& eIDMW::PTEID_SISCard::getFullDoc | ( |  | ) |

Get the full document.

PTEIDSDK_API PTEID_SisId& eIDMW::PTEID_SISCard::getID | ( |  | ) |

Get the id document.

virtual PTEIDSDK_API const PTEID_ByteArray& eIDMW::PTEID_SISCard::getRawData | ( | PTEID_RawDataType | type | ) | `[virtual]`

Return a raw data from the card.

Throw PTEID_ExFileTypeUnknown exception if the document doesn't exist for this card.

Implements eIDMW::PTEID_Card.

PTEIDSDK_API const PTEID_ByteArray& eIDMW::PTEID_SISCard::getRawData_Id | ( |  | ) |

Get the id RawData.

## Friends And Related Function Documentation

PTEID_Card& PTEID_ReaderContext::getCard | ( |  | ) | `[friend]`

For internal use : This method must access protected constructor.

The documentation for this class was generated from the following file:

- eidlib.h